
package com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "X43PPS", targetNamespace = "com/ejie/x43s/v2/pps/ws", wsdlLocation = "META-INF/wsdls/X43SolicitudesYAportaciones.wsdl")
public class X43PPS
    extends Service
{

    private final static URL X43PPS_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones.X43PPS.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones.X43PPS.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/X43SolicitudesYAportaciones.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43SolicitudesYAportaciones.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        X43PPS_WSDL_LOCATION = url;
    }

    public X43PPS(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public X43PPS() {
        super(X43PPS_WSDL_LOCATION, new QName("com/ejie/x43s/v2/pps/ws", "X43PPS"));
    }

    /**
     * 
     * @return
     *     returns X43PPSPortType
     */
    @WebEndpoint(name = "X43PPSPort")
    public X43PPSPortType getX43PPSPort() {
        return super.getPort(new QName("com/ejie/x43s/v2/pps/ws", "X43PPSPort"), X43PPSPortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns X43PPSPortType
     */
    @WebEndpoint(name = "X43PPSPort")
    public X43PPSPortType getX43PPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/x43s/v2/pps/ws", "X43PPSPort"), X43PPSPortType.class, features);
    }

}
